
    <h2>Passwort vergessen?</h2>
    <form name="form" (ngSubmit)="f.form.valid && resetPassword()" #f="ngForm" novalidate *ngIf="!success">
      <div class="form-group">
        <label for="mail">E-Mail-Adresse</label>
        <input class="form-control"
               type="email" name="mail"
               id="mail"
               [(ngModel)]="model.mail"
               #mail="ngModel"
               required email>
        <app-show-form-errors [control]="mail"></app-show-form-errors>
      </div>
      <div class="form-group">
        <button [disabled]="loading || !f.form.valid" class="btn btn-primary btn-block">
          <i class="fas fa-sign-in-alt"></i> Passwort zurücksetzen
          <span class="ml-3 spinner-grow spinner-grow-sm" *ngIf="loading" role="status" aria-hidden="true"></span>
          <span class="sr-only">laden...</span>
        </button>
      </div>
    </form>
    <div *ngIf="success">
      <alert type="success">Dir wurde eine E-Mail gesendet, mit der du dein Passwort zurücksetzen kannst.</alert>
    </div>
    <span><a routerLink="/start/login">Zurück zum Login</a></span>
    <alert *ngIf="error" type="danger">{{errorMessage}}</alert>